Current network mode of this device.
Sources for this description
Hirschmann MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.248.51.3.7.1
Current network mode of this device.
Identification
{1 3 6 1 4 1 248 51 3 7 1}
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
hmSecNetworkStatMode OBJECT-TYPE
SYNTAX DisplayString
ACCESS read-only
STATUS mandatory
DESCRIPTION
"Current network mode of this device."
::= { hmSecNetworkStatus 1 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Current network mode of this device.
Hirschmann MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: hmSecNetworkStatMode
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"hmSecNetworkStatMode",
"OBJECT-TYPE",
"SYNTAX",
"DisplayString",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"Current network mode of this device.\"",
"::=",
"{",
"hmSecNetworkStatus",
"1",
"}"
],
"syntax_tree": [
[
"row",
"DisplayString"
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"Current network mode of this device."
],
null,
null,
null,
null
]
}Vendor MIB copy from the Observium Community archive. Hirschmann support.
Module: HmSecurityGateway-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'SNMPv2-TC': ['RowStatus', 'TruthValue', 'MacAddress'], 'RFC1155-SMI': ['enterprises'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.248.51.3.7.2 | hmSecNetworkStatExtIP | 0 | 0 | |
| 1.3.6.1.4.1.248.51.3.7.3 | hmSecNetworkStatGateway | 0 | 0 | |
| 1.3.6.1.4.1.248.51.3.7.4 | hmSecNetworkStatVPN | 0 | 0 | |
| 1.3.6.1.4.1.248.51.3.7.5 | hmSecNetworkStatDynIPReg | 0 | 0 | |
| 1.3.6.1.4.1.248.51.3.7.6 | hmSecNetworkStatHTTPSRemAccess | 0 | 0 | |
| 1.3.6.1.4.1.248.51.3.7.7 | hmSecNetworkStatSSHRemoteAccess | 0 | 0 | |
| 1.3.6.1.4.1.248.51.3.7.8 | hmSecNetworkSoftwareVersion | 0 | 0 | |
| 1.3.6.1.4.1.248.51.3.7.9 | hmSecNetworkStatUptime | 0 | 0 | |
| 1.3.6.1.4.1.248.51.3.7.10 | hmSecNetworkStatLanguage | 0 | 0 |